CREATE TABLE cso_content_history (
    CONTENT_ID                   VARCHAR2(128) ,
    CONTENT_TEXT_ID              VARCHAR2(128)     NOT NULL,
    DATE_ADDED                   TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED                TIMESTAMP(6)      NOT NULL,
    DESC_LOOKUP_CODE_ID          VARCHAR2(128) ,
    RECORD_ID                    VARCHAR2(128) ,
    USER_INFORMATION_ID          VARCHAR2(128) ,
    COMMENTS                     VARCHAR2(4000),
    USER_NAME                    VARCHAR2(400) ,
    WORKFLOW_NAME                VARCHAR2(4000),
    WORKFLOW_STEP_ID             VARCHAR2(128) ,
    METADATA                     VARCHAR2(4000),
    WORKFLOW_STEP_NAME           VARCHAR2(4000),
    PREVIOUS_WORKFLOW_STEP_ID    VARCHAR2(128) ,
    USER_PARTY_ID                NUMBER(18, 0) ,
    TASK_ASSIGNEE_PARTY_ID       NUMBER(18, 0) ,
    TASK_OWNER_PARTY_ID          NUMBER(18, 0) ,
    ANSWER_ID                    NUMBER        ,
    WORKFLOW_INSTANCE_ID         VARCHAR2(128) ,
    EXTERNAL_TASK_IDENTIFIER     VARCHAR2(256) ,
    CONTENT_ID                   VARCHAR2(128) ,
    CONTENT_TEXT_ID              VARCHAR2(128)     NOT NULL,
    DATE_ADDED                   TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED                TIMESTAMP(6)      NOT NULL,
    DESC_LOOKUP_CODE_ID          VARCHAR2(128) ,
    RECORD_ID                    VARCHAR2(128) ,
    USER_INFORMATION_ID          VARCHAR2(128) ,
    COMMENTS                     VARCHAR2(4000),
    USER_NAME                    VARCHAR2(400) ,
    WORKFLOW_NAME                VARCHAR2(4000),
    WORKFLOW_STEP_ID             VARCHAR2(128) ,
    WORKFLOW_STEP_NAME           VARCHAR2(4000),
    PREVIOUS_WORKFLOW_STEP_ID    VARCHAR2(128) ,
    USER_PARTY_ID                NUMBER(18, 0) ,
    METADATA                     VARCHAR2(4000),
    TASK_ASSIGNEE_PARTY_ID       NUMBER(18, 0) ,
    TASK_OWNER_PARTY_ID          NUMBER(18, 0) ,
    ANSWER_ID                    NUMBER        ,
    WORKFLOW_INSTANCE_ID         VARCHAR2(128) ,
    EXTERNAL_TASK_IDENTIFIER     VARCHAR2(256) ,
    CONSTRAINT pk_cso_content_history PRIMARY KEY (RECORD_ID, RECORD_ID)
);
